openSUSE Security Update : libwmf (openSUSE-2015-477)

Medium Nessus Plugin ID 84656

Synopsis

The remote openSUSE host is missing a security update.

Description

libwmf was updated to fix four security issues.

These security issues were fixed :

- CVE-2015-4588: Heap overflow (bnc#933109).

- CVE-2015-4696: Use after free (bnc#936062).

- CVE-2015-4695: Heap buffer over read (bnc#936058).

- CVE-2015-0848: Heap overflow (bnc#933109).

Solution

Update the affected libwmf packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=933109

https://bugzilla.opensuse.org/show_bug.cgi?id=936058

https://bugzilla.opensuse.org/show_bug.cgi?id=936062

Plugin Details

Severity: Medium

ID: 84656

File Name: openSUSE-2015-477.nasl

Version: Revision: 1.1

Type: local

Agent: unix

Published: 2015/07/10

Updated: 2015/07/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libwmf-0_2-7, p-cpe:/a:novell:opensuse:libwmf-0_2-7-32bit, p-cpe:/a:novell:opensuse:libwmf-0_2-7-debuginfo, p-cpe:/a:novell:opensuse:libwmf-0_2-7-debuginfo-32bit, p-cpe:/a:novell:opensuse:libwmf-debugsource, p-cpe:/a:novell:opensuse:libwmf-devel, p-cpe:/a:novell:opensuse:libwmf-gnome, p-cpe:/a:novell:opensuse:libwmf-gnome-32bit, p-cpe:/a:novell:opensuse:libwmf-gnome-debuginfo, p-cpe:/a:novell:opensuse:libwmf-gnome-debuginfo-32bit, p-cpe:/a:novell:opensuse:libwmf-tools, p-cpe:/a:novell:opensuse:libwmf-tools-debuginfo, cpe:/o:novell:opensuse:13.1, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2015/07/01

Reference Information

CVE: CVE-2015-0848, CVE-2015-4588, CVE-2015-4695, CVE-2015-4696